Module | Ramaze::Tool::Bin::Helpers
In: | lib/ramaze/tool/bin.rb

### Methods

check_running? default_pidfile find_pid is_running? is_windows? rackup_path

### Public Instance methods

check_running?(pid_file)
default_pidfile(
find_pid(pid_file)
is_running?(pid)
is_windows?(

We‘re really only concerned about win32ole, so we focus our check on its ability to load that

rackup_path(

Find the path to rackup, by searching for -R (undocumented cli argument), then checking RUBYLIB for the first rack it can find there, finally falling back to gems and looking for rackup in the gem bindir. If we can‘t find rackup we‘re raising; not even usage is sane without rackup.

[Validate]